Subject: Re: bug#31536: Misused Texinfo markup in misc.texi and ack.texi(emacs-26).
From: Eli Zaretskii <[email-masked]>
To: Takesi Ayanokoji <[email-masked]>
Cc: [email-masked]
Date: Sun, 20 May 2018 10:17:09 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Takesi Ayanokoji <[email-masked]>
> Date: Sun, 20 May 2018 10:45:06 +0900
> 
> In misc.texi (and ack.texi), there are misused Texinfo markups.
> 
> >>> start here
> ack.texi:1099:William Schelter wrote @file{telnet.el}, support for @code{telnet}
> misc.texi:1513:would from a regular terminal (e.g., using the @code{ssh} or
> misc.texi:1514:@code{telnet} or @code{rlogin} commands), from a Term window.
> <<<end here
> 
> I think these @code{...} markups should marked with @command{...}.

The effect of @command is the same as that of @code, see the Texinfo
manual.  We didn't use @command for a long time because we tried to be
compatible to old versions of Texinfo, which didn't support it.  Now
that reason is gone, so I fixed the misc.texi parts.  I left alone the
ack.texi part, since I didn't feel like changing attributions just on
behalf of an unimportant markup issue.

Thanks.